-------------------------------------------------------------------------------
-- Title      : R Router Pkg
-- Project    : AXI-3 Crossbar Switch
-------------------------------------------------------------------------------
-- File       : slave2master/axi3-interconnect-r-router_pkg.vhd
-- Author     : Mario Hüttel <mario.huettel@gmx.net>
-- Standard   : VHDL'93/02
-------------------------------------------------------------------------------
-- Description: 
-------------------------------------------------------------------------------
-- Copyright (c) 2016
--
-- This file is part of AXI-3 Crossbar Switch.
--
-- AXI-3 Crossabr Switch is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation,  version 2 of the License.
--
-- This code is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this code.  If not, see <http://www.gnu.org/licenses/>.
--
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use work.axi3intercon_pkg.all;

package axi_r_router_pkg is
	type axi_r_masters_in_t is array (natural range <>) of master_r_in_t;
	type axi_r_masters_out_t is array (natural range <>) of master_r_out_t;
	type axi_r_slaves_out_t is array (natural range <>) of slave_r_out_t;
	type axi_r_slaves_in_t is array (natural range <>) of slave_r_in_t;
end package axi_r_router_pkg;

-- package body axi_r_router_pkg is
-- end package body axi_r_router_pkg;
